Releasing debian version 0.6.3-1.
[debian/lxappearance.git] / Makefile.in
... / ...
CommitLineData
1# Makefile.in generated by automake 1.15 from Makefile.am.
2# @configure_input@
3
4# Copyright (C) 1994-2014 Free Software Foundation, Inc.
5
6# This Makefile.in is free software; the Free Software Foundation
7# gives unlimited permission to copy and/or distribute it,
8# with or without modifications, as long as this notice is preserved.
9
10# This program is distributed in the hope that it will be useful,
11# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
12# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
13# PARTICULAR PURPOSE.
14
15@SET_MAKE@
16VPATH = @srcdir@
17am__is_gnu_make = { \
18 if test -z '$(MAKELEVEL)'; then \
19 false; \
20 elif test -n '$(MAKE_HOST)'; then \
21 true; \
22 elif test -n '$(MAKE_VERSION)' && test -n '$(CURDIR)'; then \
23 true; \
24 else \
25 false; \
26 fi; \
27}
28am__make_running_with_option = \
29 case $${target_option-} in \
30 ?) ;; \
31 *) echo "am__make_running_with_option: internal error: invalid" \
32 "target option '$${target_option-}' specified" >&2; \
33 exit 1;; \
34 esac; \
35 has_opt=no; \
36 sane_makeflags=$$MAKEFLAGS; \
37 if $(am__is_gnu_make); then \
38 sane_makeflags=$$MFLAGS; \
39 else \
40 case $$MAKEFLAGS in \
41 *\\[\ \ ]*) \
42 bs=\\; \
43 sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
44 | sed "s/$$bs$$bs[$$bs $$bs ]*//g"`;; \
45 esac; \
46 fi; \
47 skip_next=no; \
48 strip_trailopt () \
49 { \
50 flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
51 }; \
52 for flg in $$sane_makeflags; do \
53 test $$skip_next = yes && { skip_next=no; continue; }; \
54 case $$flg in \
55 *=*|--*) continue;; \
56 -*I) strip_trailopt 'I'; skip_next=yes;; \
57 -*I?*) strip_trailopt 'I';; \
58 -*O) strip_trailopt 'O'; skip_next=yes;; \
59 -*O?*) strip_trailopt 'O';; \
60 -*l) strip_trailopt 'l'; skip_next=yes;; \
61 -*l?*) strip_trailopt 'l';; \
62 -[dEDm]) skip_next=yes;; \
63 -[JT]) skip_next=yes;; \
64 esac; \
65 case $$flg in \
66 *$$target_option*) has_opt=yes; break;; \
67 esac; \
68 done; \
69 test $$has_opt = yes
70am__make_dryrun = (target_option=n; $(am__make_running_with_option))
71am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
72pkgdatadir = $(datadir)/@PACKAGE@
73pkgincludedir = $(includedir)/@PACKAGE@
74pkglibdir = $(libdir)/@PACKAGE@
75pkglibexecdir = $(libexecdir)/@PACKAGE@
76am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
77install_sh_DATA = $(install_sh) -c -m 644
78install_sh_PROGRAM = $(install_sh) -c
79install_sh_SCRIPT = $(install_sh) -c
80INSTALL_HEADER = $(INSTALL_DATA)
81transform = $(program_transform_name)
82NORMAL_INSTALL = :
83PRE_INSTALL = :
84POST_INSTALL = :
85NORMAL_UNINSTALL = :
86PRE_UNINSTALL = :
87POST_UNINSTALL = :
88subdir = .
89ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
90am__aclocal_m4_deps = $(top_srcdir)/acinclude.m4 \
91 $(top_srcdir)/configure.ac
92am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
93 $(ACLOCAL_M4)
94DIST_COMMON = $(srcdir)/Makefile.am $(top_srcdir)/configure \
95 $(am__configure_deps) $(am__DIST_COMMON)
96am__CONFIG_DISTCLEAN_FILES = config.status config.cache config.log \
97 configure.lineno config.status.lineno
98mkinstalldirs = $(install_sh) -d
99CONFIG_HEADER = config.h
100CONFIG_CLEAN_FILES =
101CONFIG_CLEAN_VPATH_FILES =
102AM_V_P = $(am__v_P_@AM_V@)
103am__v_P_ = $(am__v_P_@AM_DEFAULT_V@)
104am__v_P_0 = false
105am__v_P_1 = :
106AM_V_GEN = $(am__v_GEN_@AM_V@)
107am__v_GEN_ = $(am__v_GEN_@AM_DEFAULT_V@)
108am__v_GEN_0 = @echo " GEN " $@;
109am__v_GEN_1 =
110AM_V_at = $(am__v_at_@AM_V@)
111am__v_at_ = $(am__v_at_@AM_DEFAULT_V@)
112am__v_at_0 = @
113am__v_at_1 =
114SOURCES =
115DIST_SOURCES =
116RECURSIVE_TARGETS = all-recursive check-recursive cscopelist-recursive \
117 ctags-recursive dvi-recursive html-recursive info-recursive \
118 install-data-recursive install-dvi-recursive \
119 install-exec-recursive install-html-recursive \
120 install-info-recursive install-pdf-recursive \
121 install-ps-recursive install-recursive installcheck-recursive \
122 installdirs-recursive pdf-recursive ps-recursive \
123 tags-recursive uninstall-recursive
124am__can_run_installinfo = \
125 case $$AM_UPDATE_INFO_DIR in \
126 n|no|NO) false;; \
127 *) (install-info --version) >/dev/null 2>&1;; \
128 esac
129RECURSIVE_CLEAN_TARGETS = mostlyclean-recursive clean-recursive \
130 distclean-recursive maintainer-clean-recursive
131am__recursive_targets = \
132 $(RECURSIVE_TARGETS) \
133 $(RECURSIVE_CLEAN_TARGETS) \
134 $(am__extra_recursive_targets)
135AM_RECURSIVE_TARGETS = $(am__recursive_targets:-recursive=) TAGS CTAGS \
136 cscope distdir dist dist-all distcheck
137am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) \
138 $(LISP)config.h.in
139# Read a list of newline-separated strings from the standard input,
140# and print each of them once, without duplicates. Input order is
141# *not* preserved.
142am__uniquify_input = $(AWK) '\
143 BEGIN { nonempty = 0; } \
144 { items[$$0] = 1; nonempty = 1; } \
145 END { if (nonempty) { for (i in items) print i; }; } \
146'
147# Make sure the list of sources is unique. This is necessary because,
148# e.g., the same source file might be shared among _SOURCES variables
149# for different programs/libraries.
150am__define_uniq_tagged_files = \
151 list='$(am__tagged_files)'; \
152 unique=`for i in $$list; do \
153 if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
154 done | $(am__uniquify_input)`
155ETAGS = etags
156CTAGS = ctags
157CSCOPE = cscope
158DIST_SUBDIRS = $(SUBDIRS)
159am__DIST_COMMON = $(srcdir)/Makefile.in $(srcdir)/config.h.in AUTHORS \
160 COPYING ChangeLog NEWS README TODO compile install-sh missing
161DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
162distdir = $(PACKAGE)-$(VERSION)
163top_distdir = $(distdir)
164am__remove_distdir = \
165 if test -d "$(distdir)"; then \
166 find "$(distdir)" -type d ! -perm -200 -exec chmod u+w {} ';' \
167 && rm -rf "$(distdir)" \
168 || { sleep 5 && rm -rf "$(distdir)"; }; \
169 else :; fi
170am__post_remove_distdir = $(am__remove_distdir)
171am__relativize = \
172 dir0=`pwd`; \
173 sed_first='s,^\([^/]*\)/.*$$,\1,'; \
174 sed_rest='s,^[^/]*/*,,'; \
175 sed_last='s,^.*/\([^/]*\)$$,\1,'; \
176 sed_butlast='s,/*[^/]*$$,,'; \
177 while test -n "$$dir1"; do \
178 first=`echo "$$dir1" | sed -e "$$sed_first"`; \
179 if test "$$first" != "."; then \
180 if test "$$first" = ".."; then \
181 dir2=`echo "$$dir0" | sed -e "$$sed_last"`/"$$dir2"; \
182 dir0=`echo "$$dir0" | sed -e "$$sed_butlast"`; \
183 else \
184 first2=`echo "$$dir2" | sed -e "$$sed_first"`; \
185 if test "$$first2" = "$$first"; then \
186 dir2=`echo "$$dir2" | sed -e "$$sed_rest"`; \
187 else \
188 dir2="../$$dir2"; \
189 fi; \
190 dir0="$$dir0"/"$$first"; \
191 fi; \
192 fi; \
193 dir1=`echo "$$dir1" | sed -e "$$sed_rest"`; \
194 done; \
195 reldir="$$dir2"
196GZIP_ENV = --best
197DIST_ARCHIVES = $(distdir).tar.xz
198DIST_TARGETS = dist-xz
199distuninstallcheck_listfiles = find . -type f -print
200am__distuninstallcheck_listfiles = $(distuninstallcheck_listfiles) \
201 | sed 's|^\./|$(prefix)/|' | grep -v '$(infodir)/dir$$'
202distcleancheck_listfiles = find . -type f -print
203ACLOCAL = @ACLOCAL@
204ADDITIONAL_FLAGS = @ADDITIONAL_FLAGS@
205ALL_LINGUAS = @ALL_LINGUAS@
206AMTAR = @AMTAR@
207AM_DEFAULT_VERBOSITY = @AM_DEFAULT_VERBOSITY@
208AUTOCONF = @AUTOCONF@
209AUTOHEADER = @AUTOHEADER@
210AUTOMAKE = @AUTOMAKE@
211AWK = @AWK@
212CATALOGS = @CATALOGS@
213CATOBJEXT = @CATOBJEXT@
214CC = @CC@
215CCDEPMODE = @CCDEPMODE@
216CFLAGS = @CFLAGS@
217CPP = @CPP@
218CPPFLAGS = @CPPFLAGS@
219CYGPATH_W = @CYGPATH_W@
220DATADIRNAME = @DATADIRNAME@
221DBUS_CFLAGS = @DBUS_CFLAGS@
222DBUS_LIBS = @DBUS_LIBS@
223DEFS = @DEFS@
224DEPDIR = @DEPDIR@
225ECHO_C = @ECHO_C@
226ECHO_N = @ECHO_N@
227ECHO_T = @ECHO_T@
228EGREP = @EGREP@
229EXEEXT = @EXEEXT@
230GETTEXT_PACKAGE = @GETTEXT_PACKAGE@
231GMODULE_CFLAGS = @GMODULE_CFLAGS@
232GMODULE_LIBS = @GMODULE_LIBS@
233GMOFILES = @GMOFILES@
234GMSGFMT = @GMSGFMT@
235GREP = @GREP@
236GTK_CFLAGS = @GTK_CFLAGS@
237GTK_LIBS = @GTK_LIBS@
238INSTALL = @INSTALL@
239INSTALL_DATA = @INSTALL_DATA@
240INSTALL_PROGRAM = @INSTALL_PROGRAM@
241INSTALL_SCRIPT = @INSTALL_SCRIPT@
242INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
243INSTOBJEXT = @INSTOBJEXT@
244INTLLIBS = @INTLLIBS@
245INTLTOOL_EXTRACT = @INTLTOOL_EXTRACT@
246INTLTOOL_MERGE = @INTLTOOL_MERGE@
247INTLTOOL_PERL = @INTLTOOL_PERL@
248INTLTOOL_UPDATE = @INTLTOOL_UPDATE@
249INTLTOOL_V_MERGE = @INTLTOOL_V_MERGE@
250INTLTOOL_V_MERGE_OPTIONS = @INTLTOOL_V_MERGE_OPTIONS@
251INTLTOOL__v_MERGE_ = @INTLTOOL__v_MERGE_@
252INTLTOOL__v_MERGE_0 = @INTLTOOL__v_MERGE_0@
253LDFLAGS = @LDFLAGS@
254LIBOBJS = @LIBOBJS@
255LIBS = @LIBS@
256LTLIBOBJS = @LTLIBOBJS@
257MAKEINFO = @MAKEINFO@
258MKDIR_P = @MKDIR_P@
259MKINSTALLDIRS = @MKINSTALLDIRS@
260MSGFMT = @MSGFMT@
261MSGFMT_OPTS = @MSGFMT_OPTS@
262MSGMERGE = @MSGMERGE@
263OBJEXT = @OBJEXT@
264PACKAGE = @PACKAGE@
265PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
266PACKAGE_NAME = @PACKAGE_NAME@
267PACKAGE_STRING = @PACKAGE_STRING@
268PACKAGE_TARNAME = @PACKAGE_TARNAME@
269PACKAGE_URL = @PACKAGE_URL@
270PACKAGE_VERSION = @PACKAGE_VERSION@
271PATH_SEPARATOR = @PATH_SEPARATOR@
272PKG_CONFIG = @PKG_CONFIG@
273PKG_CONFIG_LIBDIR = @PKG_CONFIG_LIBDIR@
274PKG_CONFIG_PATH = @PKG_CONFIG_PATH@
275POFILES = @POFILES@
276POSUB = @POSUB@
277PO_IN_DATADIR_FALSE = @PO_IN_DATADIR_FALSE@
278PO_IN_DATADIR_TRUE = @PO_IN_DATADIR_TRUE@
279SET_MAKE = @SET_MAKE@
280SHELL = @SHELL@
281STRIP = @STRIP@
282USE_NLS = @USE_NLS@
283VERSION = @VERSION@
284XGETTEXT = @XGETTEXT@
285XLIB_CFLAGS = @XLIB_CFLAGS@
286XLIB_LIBS = @XLIB_LIBS@
287XMLCATALOG = @XMLCATALOG@
288XML_CATALOG_FILE = @XML_CATALOG_FILE@
289XSLTPROC = @XSLTPROC@
290abs_builddir = @abs_builddir@
291abs_srcdir = @abs_srcdir@
292abs_top_builddir = @abs_top_builddir@
293abs_top_srcdir = @abs_top_srcdir@
294ac_ct_CC = @ac_ct_CC@
295am__include = @am__include@
296am__leading_dot = @am__leading_dot@
297am__quote = @am__quote@
298am__tar = @am__tar@
299am__untar = @am__untar@
300bindir = @bindir@
301build_alias = @build_alias@
302builddir = @builddir@
303datadir = @datadir@
304datarootdir = @datarootdir@
305docdir = @docdir@
306dvidir = @dvidir@
307exec_prefix = @exec_prefix@
308gtk_modules = @gtk_modules@
309host_alias = @host_alias@
310htmldir = @htmldir@
311includedir = @includedir@
312infodir = @infodir@
313install_sh = @install_sh@
314intltool__v_merge_options_ = @intltool__v_merge_options_@
315intltool__v_merge_options_0 = @intltool__v_merge_options_0@
316libdir = @libdir@
317libexecdir = @libexecdir@
318localedir = @localedir@
319localstatedir = @localstatedir@
320mandir = @mandir@
321mkdir_p = @mkdir_p@
322oldincludedir = @oldincludedir@
323pdfdir = @pdfdir@
324prefix = @prefix@
325program_transform_name = @program_transform_name@
326psdir = @psdir@
327runstatedir = @runstatedir@
328sbindir = @sbindir@
329sharedstatedir = @sharedstatedir@
330srcdir = @srcdir@
331sysconfdir = @sysconfdir@
332target_alias = @target_alias@
333top_build_prefix = @top_build_prefix@
334top_builddir = @top_builddir@
335top_srcdir = @top_srcdir@
336ACLOCAL_AMFLAGS = -I .
337NULL =
338SUBDIRS = \
339 data \
340 man \
341 po \
342 src
343
344EXTRA_DIST = \
345 $(desktop_DATA) \
346 $(NULL)
347
348all: config.h
349 $(MAKE) $(AM_MAKEFLAGS) all-recursive
350
351.SUFFIXES:
352am--refresh: Makefile
353 @:
354$(srcdir)/Makefile.in: $(srcdir)/Makefile.am $(am__configure_deps)
355 @for dep in $?; do \
356 case '$(am__configure_deps)' in \
357 *$$dep*) \
358 echo ' cd $(srcdir) && $(AUTOMAKE) --foreign'; \
359 $(am__cd) $(srcdir) && $(AUTOMAKE) --foreign \
360 && exit 0; \
361 exit 1;; \
362 esac; \
363 done; \
364 echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign Makefile'; \
365 $(am__cd) $(top_srcdir) && \
366 $(AUTOMAKE) --foreign Makefile
367Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
368 @case '$?' in \
369 *config.status*) \
370 echo ' $(SHELL) ./config.status'; \
371 $(SHELL) ./config.status;; \
372 *) \
373 echo ' cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe)'; \
374 cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe);; \
375 esac;
376
377$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
378 $(SHELL) ./config.status --recheck
379
380$(top_srcdir)/configure: $(am__configure_deps)
381 $(am__cd) $(srcdir) && $(AUTOCONF)
382$(ACLOCAL_M4): $(am__aclocal_m4_deps)
383 $(am__cd) $(srcdir) && $(ACLOCAL) $(ACLOCAL_AMFLAGS)
384$(am__aclocal_m4_deps):
385
386config.h: stamp-h1
387 @test -f $@ || rm -f stamp-h1
388 @test -f $@ || $(MAKE) $(AM_MAKEFLAGS) stamp-h1
389
390stamp-h1: $(srcdir)/config.h.in $(top_builddir)/config.status
391 @rm -f stamp-h1
392 cd $(top_builddir) && $(SHELL) ./config.status config.h
393$(srcdir)/config.h.in: $(am__configure_deps)
394 ($(am__cd) $(top_srcdir) && $(AUTOHEADER))
395 rm -f stamp-h1
396 touch $@
397
398distclean-hdr:
399 -rm -f config.h stamp-h1
400
401# This directory's subdirectories are mostly independent; you can cd
402# into them and run 'make' without going through this Makefile.
403# To change the values of 'make' variables: instead of editing Makefiles,
404# (1) if the variable is set in 'config.status', edit 'config.status'
405# (which will cause the Makefiles to be regenerated when you run 'make');
406# (2) otherwise, pass the desired values on the 'make' command line.
407$(am__recursive_targets):
408 @fail=; \
409 if $(am__make_keepgoing); then \
410 failcom='fail=yes'; \
411 else \
412 failcom='exit 1'; \
413 fi; \
414 dot_seen=no; \
415 target=`echo $@ | sed s/-recursive//`; \
416 case "$@" in \
417 distclean-* | maintainer-clean-*) list='$(DIST_SUBDIRS)' ;; \
418 *) list='$(SUBDIRS)' ;; \
419 esac; \
420 for subdir in $$list; do \
421 echo "Making $$target in $$subdir"; \
422 if test "$$subdir" = "."; then \
423 dot_seen=yes; \
424 local_target="$$target-am"; \
425 else \
426 local_target="$$target"; \
427 fi; \
428 ($(am__cd) $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
429 || eval $$failcom; \
430 done; \
431 if test "$$dot_seen" = "no"; then \
432 $(MAKE) $(AM_MAKEFLAGS) "$$target-am" || exit 1; \
433 fi; test -z "$$fail"
434
435ID: $(am__tagged_files)
436 $(am__define_uniq_tagged_files); mkid -fID $$unique
437tags: tags-recursive
438TAGS: tags
439
440tags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
441 set x; \
442 here=`pwd`; \
443 if ($(ETAGS) --etags-include --version) >/dev/null 2>&1; then \
444 include_option=--etags-include; \
445 empty_fix=.; \
446 else \
447 include_option=--include; \
448 empty_fix=; \
449 fi; \
450 list='$(SUBDIRS)'; for subdir in $$list; do \
451 if test "$$subdir" = .; then :; else \
452 test ! -f $$subdir/TAGS || \
453 set "$$@" "$$include_option=$$here/$$subdir/TAGS"; \
454 fi; \
455 done; \
456 $(am__define_uniq_tagged_files); \
457 shift; \
458 if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
459 test -n "$$unique" || unique=$$empty_fix; \
460 if test $$# -gt 0; then \
461 $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
462 "$$@" $$unique; \
463 else \
464 $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
465 $$unique; \
466 fi; \
467 fi
468ctags: ctags-recursive
469
470CTAGS: ctags
471ctags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
472 $(am__define_uniq_tagged_files); \
473 test -z "$(CTAGS_ARGS)$$unique" \
474 || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
475 $$unique
476
477GTAGS:
478 here=`$(am__cd) $(top_builddir) && pwd` \
479 && $(am__cd) $(top_srcdir) \
480 && gtags -i $(GTAGS_ARGS) "$$here"
481cscope: cscope.files
482 test ! -s cscope.files \
483 || $(CSCOPE) -b -q $(AM_CSCOPEFLAGS) $(CSCOPEFLAGS) -i cscope.files $(CSCOPE_ARGS)
484clean-cscope:
485 -rm -f cscope.files
486cscope.files: clean-cscope cscopelist
487cscopelist: cscopelist-recursive
488
489cscopelist-am: $(am__tagged_files)
490 list='$(am__tagged_files)'; \
491 case "$(srcdir)" in \
492 [\\/]* | ?:[\\/]*) sdir="$(srcdir)" ;; \
493 *) sdir=$(subdir)/$(srcdir) ;; \
494 esac; \
495 for i in $$list; do \
496 if test -f "$$i"; then \
497 echo "$(subdir)/$$i"; \
498 else \
499 echo "$$sdir/$$i"; \
500 fi; \
501 done >> $(top_builddir)/cscope.files
502
503distclean-tags:
504 -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
505 -rm -f cscope.out cscope.in.out cscope.po.out cscope.files
506
507distdir: $(DISTFILES)
508 $(am__remove_distdir)
509 test -d "$(distdir)" || mkdir "$(distdir)"
510 @srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
511 topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
512 list='$(DISTFILES)'; \
513 dist_files=`for file in $$list; do echo $$file; done | \
514 sed -e "s|^$$srcdirstrip/||;t" \
515 -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
516 case $$dist_files in \
517 */*) $(MKDIR_P) `echo "$$dist_files" | \
518 sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
519 sort -u` ;; \
520 esac; \
521 for file in $$dist_files; do \
522 if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
523 if test -d $$d/$$file; then \
524 dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
525 if test -d "$(distdir)/$$file"; then \
526 find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
527 fi; \
528 if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
529 cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
530 find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
531 fi; \
532 cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
533 else \
534 test -f "$(distdir)/$$file" \
535 || cp -p $$d/$$file "$(distdir)/$$file" \
536 || exit 1; \
537 fi; \
538 done
539 @list='$(DIST_SUBDIRS)'; for subdir in $$list; do \
540 if test "$$subdir" = .; then :; else \
541 $(am__make_dryrun) \
542 || test -d "$(distdir)/$$subdir" \
543 || $(MKDIR_P) "$(distdir)/$$subdir" \
544 || exit 1; \
545 dir1=$$subdir; dir2="$(distdir)/$$subdir"; \
546 $(am__relativize); \
547 new_distdir=$$reldir; \
548 dir1=$$subdir; dir2="$(top_distdir)"; \
549 $(am__relativize); \
550 new_top_distdir=$$reldir; \
551 echo " (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) top_distdir="$$new_top_distdir" distdir="$$new_distdir" \\"; \
552 echo " am__remove_distdir=: am__skip_length_check=: am__skip_mode_fix=: distdir)"; \
553 ($(am__cd) $$subdir && \
554 $(MAKE) $(AM_MAKEFLAGS) \
555 top_distdir="$$new_top_distdir" \
556 distdir="$$new_distdir" \
557 am__remove_distdir=: \
558 am__skip_length_check=: \
559 am__skip_mode_fix=: \
560 distdir) \
561 || exit 1; \
562 fi; \
563 done
564 -test -n "$(am__skip_mode_fix)" \
565 || find "$(distdir)" -type d ! -perm -755 \
566 -exec chmod u+rwx,go+rx {} \; -o \
567 ! -type d ! -perm -444 -links 1 -exec chmod a+r {} \; -o \
568 ! -type d ! -perm -400 -exec chmod a+r {} \; -o \
569 ! -type d ! -perm -444 -exec $(install_sh) -c -m a+r {} {} \; \
570 || chmod -R a+r "$(distdir)"
571dist-gzip: distdir
572 tardir=$(distdir) && $(am__tar) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).tar.gz
573 $(am__post_remove_distdir)
574
575dist-bzip2: distdir
576 tardir=$(distdir) && $(am__tar) | BZIP2=$${BZIP2--9} bzip2 -c >$(distdir).tar.bz2
577 $(am__post_remove_distdir)
578
579dist-lzip: distdir
580 tardir=$(distdir) && $(am__tar) | lzip -c $${LZIP_OPT--9} >$(distdir).tar.lz
581 $(am__post_remove_distdir)
582dist-xz: distdir
583 tardir=$(distdir) && $(am__tar) | XZ_OPT=$${XZ_OPT--e} xz -c >$(distdir).tar.xz
584 $(am__post_remove_distdir)
585
586dist-tarZ: distdir
587 @echo WARNING: "Support for distribution archives compressed with" \
588 "legacy program 'compress' is deprecated." >&2
589 @echo WARNING: "It will be removed altogether in Automake 2.0" >&2
590 tardir=$(distdir) && $(am__tar) | compress -c >$(distdir).tar.Z
591 $(am__post_remove_distdir)
592
593dist-shar: distdir
594 @echo WARNING: "Support for shar distribution archives is" \
595 "deprecated." >&2
596 @echo WARNING: "It will be removed altogether in Automake 2.0" >&2
597 shar $(distdir) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).shar.gz
598 $(am__post_remove_distdir)
599
600dist-zip: distdir
601 -rm -f $(distdir).zip
602 zip -rq $(distdir).zip $(distdir)
603 $(am__post_remove_distdir)
604
605dist dist-all:
606 $(MAKE) $(AM_MAKEFLAGS) $(DIST_TARGETS) am__post_remove_distdir='@:'
607 $(am__post_remove_distdir)
608
609# This target untars the dist file and tries a VPATH configuration. Then
610# it guarantees that the distribution is self-contained by making another
611# tarfile.
612distcheck: dist
613 case '$(DIST_ARCHIVES)' in \
614 *.tar.gz*) \
615 GZIP=$(GZIP_ENV) gzip -dc $(distdir).tar.gz | $(am__untar) ;;\
616 *.tar.bz2*) \
617 bzip2 -dc $(distdir).tar.bz2 | $(am__untar) ;;\
618 *.tar.lz*) \
619 lzip -dc $(distdir).tar.lz | $(am__untar) ;;\
620 *.tar.xz*) \
621 xz -dc $(distdir).tar.xz | $(am__untar) ;;\
622 *.tar.Z*) \
623 uncompress -c $(distdir).tar.Z | $(am__untar) ;;\
624 *.shar.gz*) \
625 GZIP=$(GZIP_ENV) gzip -dc $(distdir).shar.gz | unshar ;;\
626 *.zip*) \
627 unzip $(distdir).zip ;;\
628 esac
629 chmod -R a-w $(distdir)
630 chmod u+w $(distdir)
631 mkdir $(distdir)/_build $(distdir)/_build/sub $(distdir)/_inst
632 chmod a-w $(distdir)
633 test -d $(distdir)/_build || exit 0; \
634 dc_install_base=`$(am__cd) $(distdir)/_inst && pwd | sed -e 's,^[^:\\/]:[\\/],/,'` \
635 && dc_destdir="$${TMPDIR-/tmp}/am-dc-$$$$/" \
636 && am__cwd=`pwd` \
637 && $(am__cd) $(distdir)/_build/sub \
638 && ../../configure \
639 $(AM_DISTCHECK_CONFIGURE_FLAGS) \
640 $(DISTCHECK_CONFIGURE_FLAGS) \
641 --srcdir=../.. --prefix="$$dc_install_base" \
642 && $(MAKE) $(AM_MAKEFLAGS) \
643 && $(MAKE) $(AM_MAKEFLAGS) dvi \
644 && $(MAKE) $(AM_MAKEFLAGS) check \
645 && $(MAKE) $(AM_MAKEFLAGS) install \
646 && $(MAKE) $(AM_MAKEFLAGS) installcheck \
647 && $(MAKE) $(AM_MAKEFLAGS) uninstall \
648 && $(MAKE) $(AM_MAKEFLAGS) distuninstallcheck_dir="$$dc_install_base" \
649 distuninstallcheck \
650 && chmod -R a-w "$$dc_install_base" \
651 && ({ \
652 (cd ../.. && umask 077 && mkdir "$$dc_destdir") \
653 && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" install \
654 && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" uninstall \
655 && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" \
656 distuninstallcheck_dir="$$dc_destdir" distuninstallcheck; \
657 } || { rm -rf "$$dc_destdir"; exit 1; }) \
658 && rm -rf "$$dc_destdir" \
659 && $(MAKE) $(AM_MAKEFLAGS) dist \
660 && rm -rf $(DIST_ARCHIVES) \
661 && $(MAKE) $(AM_MAKEFLAGS) distcleancheck \
662 && cd "$$am__cwd" \
663 || exit 1
664 $(am__post_remove_distdir)
665 @(echo "$(distdir) archives ready for distribution: "; \
666 list='$(DIST_ARCHIVES)'; for i in $$list; do echo $$i; done) | \
667 sed -e 1h -e 1s/./=/g -e 1p -e 1x -e '$$p' -e '$$x'
668distuninstallcheck:
669 @test -n '$(distuninstallcheck_dir)' || { \
670 echo 'ERROR: trying to run $@ with an empty' \
671 '$$(distuninstallcheck_dir)' >&2; \
672 exit 1; \
673 }; \
674 $(am__cd) '$(distuninstallcheck_dir)' || { \
675 echo 'ERROR: cannot chdir into $(distuninstallcheck_dir)' >&2; \
676 exit 1; \
677 }; \
678 test `$(am__distuninstallcheck_listfiles) | wc -l` -eq 0 \
679 || { echo "ERROR: files left after uninstall:" ; \
680 if test -n "$(DESTDIR)"; then \
681 echo " (check DESTDIR support)"; \
682 fi ; \
683 $(distuninstallcheck_listfiles) ; \
684 exit 1; } >&2
685distcleancheck: distclean
686 @if test '$(srcdir)' = . ; then \
687 echo "ERROR: distcleancheck can only run from a VPATH build" ; \
688 exit 1 ; \
689 fi
690 @test `$(distcleancheck_listfiles) | wc -l` -eq 0 \
691 || { echo "ERROR: files left in build directory after distclean:" ; \
692 $(distcleancheck_listfiles) ; \
693 exit 1; } >&2
694check-am: all-am
695check: check-recursive
696all-am: Makefile config.h
697installdirs: installdirs-recursive
698installdirs-am:
699install: install-recursive
700install-exec: install-exec-recursive
701install-data: install-data-recursive
702uninstall: uninstall-recursive
703
704install-am: all-am
705 @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
706
707installcheck: installcheck-recursive
708install-strip:
709 if test -z '$(STRIP)'; then \
710 $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
711 install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
712 install; \
713 else \
714 $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
715 install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
716 "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'" install; \
717 fi
718mostlyclean-generic:
719
720clean-generic:
721
722distclean-generic:
723 -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
724 -test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
725
726maintainer-clean-generic:
727 @echo "This command is intended for maintainers to use"
728 @echo "it deletes files that may require special tools to rebuild."
729clean: clean-recursive
730
731clean-am: clean-generic mostlyclean-am
732
733distclean: distclean-recursive
734 -rm -f $(am__CONFIG_DISTCLEAN_FILES)
735 -rm -f Makefile
736distclean-am: clean-am distclean-generic distclean-hdr distclean-tags
737
738dvi: dvi-recursive
739
740dvi-am:
741
742html: html-recursive
743
744html-am:
745
746info: info-recursive
747
748info-am:
749
750install-data-am:
751
752install-dvi: install-dvi-recursive
753
754install-dvi-am:
755
756install-exec-am:
757
758install-html: install-html-recursive
759
760install-html-am:
761
762install-info: install-info-recursive
763
764install-info-am:
765
766install-man:
767
768install-pdf: install-pdf-recursive
769
770install-pdf-am:
771
772install-ps: install-ps-recursive
773
774install-ps-am:
775
776installcheck-am:
777
778maintainer-clean: maintainer-clean-recursive
779 -rm -f $(am__CONFIG_DISTCLEAN_FILES)
780 -rm -rf $(top_srcdir)/autom4te.cache
781 -rm -f Makefile
782maintainer-clean-am: distclean-am maintainer-clean-generic
783
784mostlyclean: mostlyclean-recursive
785
786mostlyclean-am: mostlyclean-generic
787
788pdf: pdf-recursive
789
790pdf-am:
791
792ps: ps-recursive
793
794ps-am:
795
796uninstall-am:
797
798.MAKE: $(am__recursive_targets) all install-am install-strip
799
800.PHONY: $(am__recursive_targets) CTAGS GTAGS TAGS all all-am \
801 am--refresh check check-am clean clean-cscope clean-generic \
802 cscope cscopelist-am ctags ctags-am dist dist-all dist-bzip2 \
803 dist-gzip dist-lzip dist-shar dist-tarZ dist-xz dist-zip \
804 distcheck distclean distclean-generic distclean-hdr \
805 distclean-tags distcleancheck distdir distuninstallcheck dvi \
806 dvi-am html html-am info info-am install install-am \
807 install-data install-data-am install-dvi install-dvi-am \
808 install-exec install-exec-am install-html install-html-am \
809 install-info install-info-am install-man install-pdf \
810 install-pdf-am install-ps install-ps-am install-strip \
811 installcheck installcheck-am installdirs installdirs-am \
812 maintainer-clean maintainer-clean-generic mostlyclean \
813 mostlyclean-generic pdf pdf-am ps ps-am tags tags-am uninstall \
814 uninstall-am
815
816.PRECIOUS: Makefile
817
818
819# Tell versions [3.59,3.63) of GNU make to not export all variables.
820# Otherwise a system limit (for SysV at least) may be exceeded.
821.NOEXPORT: